use Test::Base;
use strict;
use Math::Decibel qw/ decibel_avg /;

plan tests => 1*blocks;

filters {
    input    => qw/lines/,
    expected => qw/chomp/,
};

run {
    my $block = shift;

    is sprintf("%.1f",decibel_avg( $block->input )), $block->expected;
};

__END__
===
--- input 
20
20
--- expected
20.0

===
--- input 
0
0
0
--- expected
0.0

===
--- input 
10
10
10
10
10
--- expected
10.0

===
--- input 
20
30
--- expected
27.4

===
--- input 
-20
-20
--- expected
-20.0

===
--- input 
-50
-40
--- expected
-42.6

===
--- input 
-50
-40
-40
-50
--- expected
-42.6

